DOMNode::C14NFile
DOMNode::getLineNo
DOMNode
PHP Manual

# DOMNode::cloneNode

(PHP 5, PHP 7)

DOMNode::cloneNode — Clones a node

### Description

public DOMNode DOMNode::cloneNode ([ bool `$deep` ] )

Creates a copy of the node.

### Parameters

`deep`

  Indicates whether to copy all descendant nodes. This parameter is defaulted to `FALSE`.

### Return Values

The cloned node.

DOMNode::C14NFile
DOMNode::getLineNo
DOMNode
PHP Manual